GNU bug report logs - #25221
[WSL] emacs 24.4+ in console suspends itself on M-x list-packages

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Angelo Graziosi <angelo.graziosi@HIDDEN>; merged with #27804; dated Sun, 18 Dec 2016 13:09:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Changed bug title to '[WSL] emacs 24.4+ in console suspends itself on M-x list-packages' from 'Packages manager not working in WSL emacs-25 build' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 25221 27804. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25221 <at> debbugs.gnu.org:


Received: (at 25221) by debbugs.gnu.org; 19 Jul 2017 15:10:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 19 11:10:26 2017
Received: from localhost ([127.0.0.1]:48003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dXqcM-0004tc-42
	for submit <at> debbugs.gnu.org; Wed, 19 Jul 2017 11:10:26 -0400
Received: from smtp203.alice.it ([82.57.200.99]:37227)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1dXqcK-0004tO-0n
 for 25221 <at> debbugs.gnu.org; Wed, 19 Jul 2017 11:10:24 -0400
Received: from [192.168.1.102] (82.55.219.93) by smtp203.alice.it (8.6.060.43)
 (authenticated as angelo.graziosi@HIDDEN)
 id 5929F50222F02F58; Wed, 19 Jul 2017 17:10:10 +0200
Subject: Re: bug#25221: Packages manager not working in WSL emacs-25 build
To: Lorenzo <lorenzo.adyns@HIDDEN>, npostavs@HIDDEN
References: <6c69f4eb-4910-f3f4-f7b3-732f16fa1f51@HIDDEN>
 <26a4cce0-68c7-de8f-6b35-8eb780a99c41@HIDDEN>
 <298b3b2f-d217-5e77-dbd7-312604cebdd8@HIDDEN>
 <4ab8a2e9-3392-99f9-4381-d303863c25d1@HIDDEN>
 <87bmojbyqj.fsf@HIDDEN>
 <47fa2b7e-81d3-3b79-68e4-8a242b999bff@HIDDEN>
 <da977c87-64a4-9557-8b99-b707bc8e0d4d@HIDDEN>
From: Angelo Graziosi <angelo.graziosi@HIDDEN>
Message-ID: <5117d03b-abf9-9854-64a6-6ffd5ab6ea09@HIDDEN>
Date: Wed, 19 Jul 2017 17:10:03 +0200
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1
MIME-Version: 1.0
In-Reply-To: <da977c87-64a4-9557-8b99-b707bc8e0d4d@HIDDEN>
Content-Type: text/plain; charset=iso-8859-15; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 25221
Cc: 25221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)



Il 19/07/2017 15:15, Lorenzo ha scritto:
> Hi,
> 
> WSL:
> 
> I am also running Emacs on console, but haven't built it myself. Using 
> the one from the debian repositories, which is version 24.3.1

Indeed, 24.3 works as expected! I installed sr-speedbar etc.

In the versions greater than that [*], the packages manager does not work!

Please, reread my post..

  Angelo


---
[*] For example, in current WSL (Win10 CU, Ubunto 16.04),

   apt install emacs[-nox]

installs (from debian repos) 24.5.1 (> 24.3), and here the packages 
manager does not work... the same with the builds of master..
The last version I find it works, in console, is 24.3!





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25221; Package emacs. Full text available.

Message received at 25221 <at> debbugs.gnu.org:


Received: (at 25221) by debbugs.gnu.org; 17 Jul 2017 12:41:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 17 08:41:37 2017
Received: from localhost ([127.0.0.1]:43362 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dX5LF-00032J-Gc
	for submit <at> debbugs.gnu.org; Mon, 17 Jul 2017 08:41:37 -0400
Received: from smtp202.alice.it ([82.57.200.98]:20920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1dX5LB-000323-A7
 for 25221 <at> debbugs.gnu.org; Mon, 17 Jul 2017 08:41:36 -0400
Received: from [192.168.1.102] (82.55.219.93) by smtp202.alice.it (8.6.060.43)
 (authenticated as angelo.graziosi@HIDDEN)
 id 5966842F04DA4CA0; Mon, 17 Jul 2017 14:41:26 +0200
Subject: Re: bug#25221: Packages manager not working in WSL emacs-25 build
To: npostavs@HIDDEN
References: <6c69f4eb-4910-f3f4-f7b3-732f16fa1f51@HIDDEN>
 <26a4cce0-68c7-de8f-6b35-8eb780a99c41@HIDDEN>
 <298b3b2f-d217-5e77-dbd7-312604cebdd8@HIDDEN>
 <4ab8a2e9-3392-99f9-4381-d303863c25d1@HIDDEN>
 <87bmojbyqj.fsf@HIDDEN>
From: Angelo Graziosi <angelo.graziosi@HIDDEN>
Message-ID: <47fa2b7e-81d3-3b79-68e4-8a242b999bff@HIDDEN>
Date: Mon, 17 Jul 2017 14:41:12 +0200
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1
MIME-Version: 1.0
In-Reply-To: <87bmojbyqj.fsf@HIDDEN>
Content-Type: text/plain; charset=iso-8859-15; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 25221
Cc: lorenzo.adyns@HIDDEN, 25221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)



Il 17/07/2017 04:09, npostavs@HIDDEN ha scritto:
> Angelo Graziosi <angelo.graziosi@HIDDEN> writes:
> 
>> I have built the last master (e5ef59b87da5) but it has the same
>> packages manager issue.
>>
>> Notice the issue occurs only when Emacs is run in a console. See:
>>
>>    http://lists.gnu.org/archive/html/emacs-devel/2016-12/msg00813.html
>>
>> (notice, also, that, for the moment, WSL does not support GUI apps but
>> one can works around this installing and running Xming or vcXSrv)
> 
> Lorenzo reports that the package manager is functional on WSL now.  Can
> you confirm?
> 

NO, I can't.

Here I always see the same issue with Emacs > 24.3.

But has Lorenzo a recipe to get his results? What Emacs version? How is 
this version built? etc..

*Remember* I am speaking of Emacs running in a console, without X...


Ciao,
  Angelo.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25221; Package emacs. Full text available.

Message received at 25221 <at> debbugs.gnu.org:


Received: (at 25221) by debbugs.gnu.org; 17 Jul 2017 02:08:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 16 22:08:15 2017
Received: from localhost ([127.0.0.1]:42962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dWvSJ-000838-K4
	for submit <at> debbugs.gnu.org; Sun, 16 Jul 2017 22:08:15 -0400
Received: from mail-it0-f48.google.com ([209.85.214.48]:35157)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1dWvSG-00082u-Kb
 for 25221 <at> debbugs.gnu.org; Sun, 16 Jul 2017 22:08:14 -0400
Received: by mail-it0-f48.google.com with SMTP id v202so43262319itb.0
 for <25221 <at> debbugs.gnu.org>; Sun, 16 Jul 2017 19:08:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=luHkfJlT0qTCA7zS+4D4dTKYDnEDL+Q5VWK+2/HD0xs=;
 b=aKj+osGMzfcWicSViP3alX+t+5mdOZUA+iup9yGyK3BBjB44KFLwB0nGXiia/gfi6U
 1dGvLSp0YTO9fVmRYbnMQXesiOaL0frIbIh26d1/OqiaU8PCVFd7mrC51/hiGjkTYUIF
 kW/dj7SMDLBwoVrOl4Zdav10hSbqy4psQP2mLh7Fa7L3q1C4Gn2f5BHdBZsziG7Cv0/K
 jKXvDwjYZRtpY7tueHhVH6TZnCIYIIeciSVjXbz//X/ZhNYNLaJAUjvb980czE47NVu0
 hsP7/iBWeKU34fNiavw3l56wvXYvoCoxUVOhy5Opt2YfQbwCAvDrcJcwzINZSlfrTFIb
 Q+2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=luHkfJlT0qTCA7zS+4D4dTKYDnEDL+Q5VWK+2/HD0xs=;
 b=AXbIRavj7/PEfXVBFGPs9O42HbqyzXPsz+fKuZMsS3Y7KpHM9jRhvAiL/DRy713V2Q
 uq05mLZ2JZlTddO6rr8St5Hovkh9X81p21cYLuDd7MvTOKwcTAzhdoyrO7qUkk7EqJQG
 nB2LTJN4zi2fD/twQMyUxMIxeg1dklsXxfFWodsNSUvjmvuSRRveNmzE86JWeJGLKMET
 Db+tRjiiwqh8yx+NLwXn1kTFDZQ51fuTc+NK6+bv0mVEr+TWPb1uc/oJFFzMvGbI47OK
 MyrapzyyAFD9PzgzKNGIyCDwWfMLHevq7Gao0SH0BrHlhZZZW1v6VqHVoPjhUvU2qLIc
 4P8w==
X-Gm-Message-State: AIVw111UHNuMEMcVySKPdXA8rrUMDFsHsnWGny7hAlBvYZ9TzM8OzU+9
 RcDcE9s19ZK8Vgxf
X-Received: by 10.36.233.66 with SMTP id f63mr3511993ith.61.1500257286832;
 Sun, 16 Jul 2017 19:08:06 -0700 (PDT)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id e12sm8408385ioj.8.2017.07.16.19.08.05
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 16 Jul 2017 19:08:06 -0700 (PDT)
From: npostavs@HIDDEN
To: Angelo Graziosi <angelo.graziosi@HIDDEN>
Subject: Re: bug#25221: Packages manager not working in WSL emacs-25 build
References: <6c69f4eb-4910-f3f4-f7b3-732f16fa1f51@HIDDEN>
 <26a4cce0-68c7-de8f-6b35-8eb780a99c41@HIDDEN>
 <298b3b2f-d217-5e77-dbd7-312604cebdd8@HIDDEN>
 <4ab8a2e9-3392-99f9-4381-d303863c25d1@HIDDEN>
Date: Sun, 16 Jul 2017 22:09:40 -0400
In-Reply-To: <4ab8a2e9-3392-99f9-4381-d303863c25d1@HIDDEN> (Angelo
 Graziosi's message of "Sun, 25 Dec 2016 13:46:53 +0100")
Message-ID: <87bmojbyqj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 25221
Cc: lorenzo.adyns@HIDDEN, 25221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Angelo Graziosi <angelo.graziosi@HIDDEN> writes:

> I have built the last master (e5ef59b87da5) but it has the same
> packages manager issue.
>
> Notice the issue occurs only when Emacs is run in a console. See:
>
>   http://lists.gnu.org/archive/html/emacs-devel/2016-12/msg00813.html
>
> (notice, also, that, for the moment, WSL does not support GUI apps but
> one can works around this installing and running Xming or vcXSrv)

Lorenzo reports that the package manager is functional on WSL now.  Can
you confirm?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25221; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Apr 2017 22:33:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 14 18:33:10 2017
Received: from localhost ([127.0.0.1]:47554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cz9m6-0003zF-VN
	for submit <at> debbugs.gnu.org; Fri, 14 Apr 2017 18:33:10 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37257)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1cz9m5-0003yk-QQ
 for submit <at> debbugs.gnu.org; Fri, 14 Apr 2017 18:33:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1cz9lz-0003i9-8z
 for submit <at> debbugs.gnu.org; Fri, 14 Apr 2017 18:33:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_SORBS_SPAM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55989)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <angelo.graziosi@HIDDEN>)
 id 1cz9lz-0003hw-67
 for submit <at> debbugs.gnu.org; Fri, 14 Apr 2017 18:32:59 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:56454)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1cz9lx-0001JD-Ld
 for bug-gnu-emacs@HIDDEN; Fri, 14 Apr 2017 18:32:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1cz9lu-0003fQ-IX
 for bug-gnu-emacs@HIDDEN; Fri, 14 Apr 2017 18:32:57 -0400
Received: from smtp201.alice.it ([82.57.200.97]:18741)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1cz9lu-0003dT-6J
 for bug-gnu-emacs@HIDDEN; Fri, 14 Apr 2017 18:32:54 -0400
Received: from [192.168.1.102] (79.35.224.245) by smtp201.alice.it
 (8.6.060.43) (authenticated as angelo.graziosi@HIDDEN)
 id 58E37286088C7303 for bug-gnu-emacs@HIDDEN; Sat, 15 Apr 2017 00:32:52 +0200
Subject: Re: Packages manager not working in WSL emacs-25 build
To: bug-gnu-emacs@HIDDEN
References: <ddeac3b0-3c33-f914-e1a0-ffef19bf2556@HIDDEN>
From: Angelo Graziosi <angelo.graziosi@HIDDEN>
Message-ID: <818375e4-0390-683a-6f26-7491aa3962c0@HIDDEN>
Date: Sat, 15 Apr 2017 00:32:28 +0200
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <ddeac3b0-3c33-f914-e1a0-ffef19bf2556@HIDDEN>
Content-Type: text/plain; charset=iso-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.5 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)

Just for the record..

After the upgrade to Win10 Creators Update (clean Reset from 
Anniversary). I reinstalled WSL that now is Ubuntu 16.04 and so Emacs. 
The package installed is 24.5.1.

While with previous installation (WSL-Ubuntu 14.04, Emacs-24.3), Emacs 
worked fine, also with the package manager, now it shows the same issues 
I had with Emacs-25 branch or Emacs-master.. It seems I can't 
install/upgrade Elpa/Melpa packages any more...

The only good news is that it seems that Emacs can be built without the 
"echo 0 | sudo tee /proc/sys/kernel/randomize_va_space" workaround..


Any suggestion about how to upgrade Elpa/Melpa packages? I am using 
~/.emacs.d from previous installation and M-x package-list-packages 
shows that there are packages to be upgraded but trying to type "Ux" 
breaks Emacs.

TIA,
  Angelo.

Il 18/12/2016 14:07, Angelo Graziosi ha scritto:
> I recently enabled and installed WSL (Windows Subsystem for Linux) in
> Windows 10 [1] and so tried to build Emacs.
>
> Building Emacs master hangs [2]. So tried emacs-25 branch (+release and
> testing). This branch builds if one adopts the work around suggested in
> /et/PROBLEMS and from the WEB [3]:
>
> echo 0 | sudo tee /proc/sys/kernel/randomize_va_space
> ./autogen.sh
> ./configure --prefix=/opt/emacs --without-x
> make...
>
> It also seems to work but trying to install packages from MELPA/ELPA fails.
>
> More precisely, in emacs25:
>
> M-x package-list-packages
>
> After the "Package refresh done" I cannot type anything nor I can quit
> (C-x C-c). If I do, for example pressing the down arrow key, in the
> packages buffer I see something like this
>
> [...]
> [1]+  Stopped                 emacs25ailable  melpa      No description
> available...
> angelo@MYPC~   20151026.1233 available  melpa      play 2048 in Emacs..
> $ 4clojure           20131014.1507 available  melpa..
> [...]
>
> At this point I can only try to kill Emacs. It is as if Emacs were
> reduced to background (C-z), and a 'fg' seems to resurrect it but is
> unusable (I have to close the WSL bash window).
>
> Now, at the moment, enabling and installing WSL installs Ubuntu 14.04
> and one can install other Ubuntu packages with apt-get. So I installed
> the emacs24-nox packages which works without this Packages manager issue!
>
> Then for sanity check I did a build of emacs-24.3.tar.gz (the same
> version offered by WSL-Ubuntu) and it works as expected (also the
> packages Manager).
>
> So the issue seems to regards only emacs-25 branch.
>
>
> Ciao,
>  Angelo.
>
>
> -----
> [1] https://msdn.microsoft.com/it-it/commandline/wsl/install_guide
>     https://msdn.microsoft.com/it-it/commandline/wsl/faq
>
> [2] http://lists.gnu.org/archive/html/emacs-devel/2016-12/msg00427.html
>
> [3]
> http://stackoverflow.com/questions/38905344/windows-bash-emacs-build-fail-memory-protection-enabled
>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25221; Package emacs. Full text available.

Message received at 25221 <at> debbugs.gnu.org:


Received: (at 25221) by debbugs.gnu.org; 25 Dec 2016 12:47:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 25 07:47:09 2016
Received: from localhost ([127.0.0.1]:54350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cL8Cj-0002lo-Cc
	for submit <at> debbugs.gnu.org; Sun, 25 Dec 2016 07:47:09 -0500
Received: from smtp203.alice.it ([82.57.200.99]:64366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1cL8Ci-0002lc-62
 for 25221 <at> debbugs.gnu.org; Sun, 25 Dec 2016 07:47:08 -0500
Received: from [192.168.1.101] (95.235.230.214) by smtp203.alice.it
 (8.6.060.43) (authenticated as angelo.graziosi@HIDDEN)
 id 585D504C0038BDF3; Sun, 25 Dec 2016 13:47:00 +0100
Subject: Re: Packages manager not working in WSL emacs-25 build
To: Paul Eggert <eggert@HIDDEN>
References: <6c69f4eb-4910-f3f4-f7b3-732f16fa1f51@HIDDEN>
 <26a4cce0-68c7-de8f-6b35-8eb780a99c41@HIDDEN>
 <298b3b2f-d217-5e77-dbd7-312604cebdd8@HIDDEN>
From: Angelo Graziosi <angelo.graziosi@HIDDEN>
Message-ID: <4ab8a2e9-3392-99f9-4381-d303863c25d1@HIDDEN>
Date: Sun, 25 Dec 2016 13:46:53 +0100
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.5.1
MIME-Version: 1.0
In-Reply-To: <298b3b2f-d217-5e77-dbd7-312604cebdd8@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 25221
Cc: 25221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

I have built the last master (e5ef59b87da5) but it has the same packages 
manager issue.

Notice the issue occurs only when Emacs is run in a console. See:

   http://lists.gnu.org/archive/html/emacs-devel/2016-12/msg00813.html

(notice, also, that, for the moment, WSL does not support GUI apps but 
one can works around this installing and running Xming or vcXSrv)

In any case,

Happy Holidays!

   Angelo

Il 25/12/2016 09:03, Paul Eggert ha scritto:
> Angelo Graziosi wrote:
>> I am afraid I wasn't so clear...
>
> Apparently not. I understood your remark "the issue seems to regards
> only emacs-25 branch" as meaning that the bug occurs only in the
> emacs-25 branch. If the bug (whatever it is) is also present in the
> master branch, then I will reopen the bug report. As Eli says, we don't
> care about the bug in the emacs-25 branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25221; Package emacs. Full text available.

Message received at 25221 <at> debbugs.gnu.org:


Received: (at 25221) by debbugs.gnu.org; 25 Dec 2016 08:03:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 25 03:03:53 2016
Received: from localhost ([127.0.0.1]:54282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cL3mb-0000ES-4F
	for submit <at> debbugs.gnu.org; Sun, 25 Dec 2016 03:03:53 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:50882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1cL3mZ-0000ED-Jy
 for 25221 <at> debbugs.gnu.org; Sun, 25 Dec 2016 03:03:51 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 46B6916006D;
 Sun, 25 Dec 2016 00:03:46 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id NfBUCs9uxstS; Sun, 25 Dec 2016 00:03:45 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 9D06416009E;
 Sun, 25 Dec 2016 00:03:45 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id PpSC5Tdk24de; Sun, 25 Dec 2016 00:03:45 -0800 (PST)
Received: from [192.168.1.9] (unknown [47.153.178.162])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 7F36C16006D;
 Sun, 25 Dec 2016 00:03:45 -0800 (PST)
Subject: Re: Packages manager not working in WSL emacs-25 build
To: Angelo Graziosi <angelo.graziosi@HIDDEN>
References: <6c69f4eb-4910-f3f4-f7b3-732f16fa1f51@HIDDEN>
 <26a4cce0-68c7-de8f-6b35-8eb780a99c41@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <298b3b2f-d217-5e77-dbd7-312604cebdd8@HIDDEN>
Date: Sun, 25 Dec 2016 00:03:45 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.5.1
MIME-Version: 1.0
In-Reply-To: <26a4cce0-68c7-de8f-6b35-8eb780a99c41@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.1 (---)
X-Debbugs-Envelope-To: 25221
Cc: 25221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.1 (---)

Angelo Graziosi wrote:
> I am afraid I wasn't so clear...

Apparently not. I understood your remark "the issue seems to regards only 
emacs-25 branch" as meaning that the bug occurs only in the emacs-25 branch. If 
the bug (whatever it is) is also present in the master branch, then I will 
reopen the bug report. As Eli says, we don't care about the bug in the emacs-25 
branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25221; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 25221 <at> debbugs.gnu.org:


Received: (at 25221) by debbugs.gnu.org; 25 Dec 2016 03:34:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 24 22:34:28 2016
Received: from localhost ([127.0.0.1]:54207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cKzZs-0001Vw-J4
	for submit <at> debbugs.gnu.org; Sat, 24 Dec 2016 22:34:28 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55375)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cKzZq-0001Ve-Lo
 for 25221 <at> debbugs.gnu.org; Sat, 24 Dec 2016 22:34:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cKzZg-0007E1-TB
 for 25221 <at> debbugs.gnu.org; Sat, 24 Dec 2016 22:34:21 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55889)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cKzZg-0007Dn-Pd; Sat, 24 Dec 2016 22:34:16 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4822
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cKzZg-0004JL-1P; Sat, 24 Dec 2016 22:34:16 -0500
Date: Sun, 25 Dec 2016 05:33:59 +0200
Message-Id: <83h95sy95k.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Angelo Graziosi <angelo.graziosi@HIDDEN>
In-reply-to: <26a4cce0-68c7-de8f-6b35-8eb780a99c41@HIDDEN> (message from
 Angelo Graziosi on Sun, 25 Dec 2016 02:35:52 +0100)
Subject: Re: bug#25221: Packages manager not working in WSL emacs-25 build
References: <6c69f4eb-4910-f3f4-f7b3-732f16fa1f51@HIDDEN>
 <26a4cce0-68c7-de8f-6b35-8eb780a99c41@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25221
Cc: eggert@HIDDEN, 25221 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> From: Angelo Graziosi <angelo.graziosi@HIDDEN>
> Date: Sun, 25 Dec 2016 02:35:52 +0100
> Cc: 25221-done <at> debbugs.gnu.org
> 
> Maybe I wasn't clear but the issue regards Emacs > 24.X or, if you 
> prefer, Emacs >= 25.X. Also master is affected, at least the build I did 
> from master on 20161221_095705 (commit cf6ce9a1fe320ebe5b): this commit 
> fixes the issue with the hanging of temacs but not that regarding the 
> Packages Manager...
> 
> When I opened this bug report the build of master under WSL were not 
> fixed, yet. And I didn't expect it would be fixed soon, so I wrote only 
> about 25-branch.

IMO, WSL is still a moving target, not yet stabilized enough for us to
attempt to support it on the release branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25221; Package emacs. Full text available.

Message received at 25221-done <at> debbugs.gnu.org:


Received: (at 25221-done) by debbugs.gnu.org; 25 Dec 2016 01:36:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 24 20:36:06 2016
Received: from localhost ([127.0.0.1]:54182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cKxjJ-0006vm-Sk
	for submit <at> debbugs.gnu.org; Sat, 24 Dec 2016 20:36:06 -0500
Received: from smtp202.alice.it ([82.57.200.98]:7400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1cKxjH-0006vG-Ie
 for 25221-done <at> debbugs.gnu.org; Sat, 24 Dec 2016 20:36:04 -0500
Received: from [192.168.1.101] (95.235.230.214) by smtp202.alice.it
 (8.6.060.43) (authenticated as angelo.graziosi@HIDDEN)
 id 585D503D002FC3E3; Sun, 25 Dec 2016 02:35:56 +0100
Subject: Re: Packages manager not working in WSL emacs-25 build
To: Paul Eggert <eggert@HIDDEN>
References: <6c69f4eb-4910-f3f4-f7b3-732f16fa1f51@HIDDEN>
From: Angelo Graziosi <angelo.graziosi@HIDDEN>
Message-ID: <26a4cce0-68c7-de8f-6b35-8eb780a99c41@HIDDEN>
Date: Sun, 25 Dec 2016 02:35:52 +0100
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.5.1
MIME-Version: 1.0
In-Reply-To: <6c69f4eb-4910-f3f4-f7b3-732f16fa1f51@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 25221-done
Cc: 25221-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

I don't understand. Have you commit something to master that fixes this?

Maybe I wasn't clear but the issue regards Emacs > 24.X or, if you 
prefer, Emacs >= 25.X. Also master is affected, at least the build I did 
from master on 20161221_095705 (commit cf6ce9a1fe320ebe5b): this commit 
fixes the issue with the hanging of temacs but not that regarding the 
Packages Manager...

When I opened this bug report the build of master under WSL were not 
fixed, yet. And I didn't expect it would be fixed soon, so I wrote only 
about 25-branch.

I am afraid I wasn't so clear...

Angelo

Il 25/12/2016 02:14, Paul Eggert ha scritto:
>> So the issue seems to regards only emacs-25 branch.
>
> Yes, and in that case let's declare victory and close out this bug
> report, as the bug is fixed in master and we're not likely to port Emacs
> 25 to WSL.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25221; Package emacs. Full text available.

Message received at 25221-done <at> debbugs.gnu.org:


Received: (at 25221-done) by debbugs.gnu.org; 25 Dec 2016 01:14:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 24 20:14:14 2016
Received: from localhost ([127.0.0.1]:54175 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cKxOA-0006LH-0Q
	for submit <at> debbugs.gnu.org; Sat, 24 Dec 2016 20:14:14 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:33562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1cKxO8-0006L3-El
 for 25221-done <at> debbugs.gnu.org; Sat, 24 Dec 2016 20:14:12 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id E85E216006D;
 Sat, 24 Dec 2016 17:14:06 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id YGez7sezUVab; Sat, 24 Dec 2016 17:14:06 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 40DF916009E;
 Sat, 24 Dec 2016 17:14:06 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id fHubWzuD1oBL; Sat, 24 Dec 2016 17:14:06 -0800 (PST)
Received: from [192.168.1.9] (unknown [47.153.178.162])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 1963716006D;
 Sat, 24 Dec 2016 17:14:06 -0800 (PST)
To: Angelo Graziosi <angelo.graziosi@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Subject: Packages manager not working in WSL emacs-25 build
Organization: UCLA Computer Science Department
Message-ID: <6c69f4eb-4910-f3f4-f7b3-732f16fa1f51@HIDDEN>
Date: Sat, 24 Dec 2016 17:14:05 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.5.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.1 (---)
X-Debbugs-Envelope-To: 25221-done
Cc: 25221-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.1 (---)

> So the issue seems to regards only emacs-25 branch.

Yes, and in that case let's declare victory and close out this bug report, as 
the bug is fixed in master and we're not likely to port Emacs 25 to WSL.




Notification sent to Angelo Graziosi <angelo.graziosi@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Paul Eggert <eggert@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Dec 2016 13:08:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 18 08:08:31 2016
Received: from localhost ([127.0.0.1]:45537 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cIbCW-0003aU-9D
	for submit <at> debbugs.gnu.org; Sun, 18 Dec 2016 08:08:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1cIbCV-0003aB-5h
 for submit <at> debbugs.gnu.org; Sun, 18 Dec 2016 08:08:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1cIbCH-0006tW-7U
 for submit <at> debbugs.gnu.org; Sun, 18 Dec 2016 08:08:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59764)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <angelo.graziosi@HIDDEN>)
 id 1cIbCH-0006tS-4s
 for submit <at> debbugs.gnu.org; Sun, 18 Dec 2016 08:08:13 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57090)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1cIbCF-0007aQ-Qr
 for bug-gnu-emacs@HIDDEN; Sun, 18 Dec 2016 08:08:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1cIbCB-0006sq-3m
 for bug-gnu-emacs@HIDDEN; Sun, 18 Dec 2016 08:08:11 -0500
Received: from smtp203.alice.it ([82.57.200.99]:36357)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <angelo.graziosi@HIDDEN>) id 1cIbCA-0006sP-NF
 for bug-gnu-emacs@HIDDEN; Sun, 18 Dec 2016 08:08:07 -0500
Received: from [192.168.1.101] (95.235.230.214) by smtp203.alice.it
 (8.6.060.43) (authenticated as angelo.graziosi@HIDDEN)
 id 585272C800CB561F for bug-gnu-emacs@HIDDEN; Sun, 18 Dec 2016 14:08:03 +0100
To: bug-gnu-emacs@HIDDEN
From: Angelo Graziosi <angelo.graziosi@HIDDEN>
Subject: Packages manager not working in WSL emacs-25 build
Message-ID: <ddeac3b0-3c33-f914-e1a0-ffef19bf2556@HIDDEN>
Date: Sun, 18 Dec 2016 14:07:44 +0100
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.5.1
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

I recently enabled and installed WSL (Windows Subsystem for Linux) in 
Windows 10 [1] and so tried to build Emacs.

Building Emacs master hangs [2]. So tried emacs-25 branch (+release and 
testing). This branch builds if one adopts the work around suggested in 
/et/PROBLEMS and from the WEB [3]:

echo 0 | sudo tee /proc/sys/kernel/randomize_va_space
./autogen.sh
./configure --prefix=/opt/emacs --without-x
make...

It also seems to work but trying to install packages from MELPA/ELPA fails.

More precisely, in emacs25:

M-x package-list-packages

After the "Package refresh done" I cannot type anything nor I can quit 
(C-x C-c). If I do, for example pressing the down arrow key, in the 
packages buffer I see something like this

[...]
[1]+  Stopped                 emacs25ailable  melpa      No description 
available...
angelo@MYPC~   20151026.1233 available  melpa      play 2048 in Emacs..
$ 4clojure           20131014.1507 available  melpa..
[...]

At this point I can only try to kill Emacs. It is as if Emacs were 
reduced to background (C-z), and a 'fg' seems to resurrect it but is 
unusable (I have to close the WSL bash window).

Now, at the moment, enabling and installing WSL installs Ubuntu 14.04 
and one can install other Ubuntu packages with apt-get. So I installed 
the emacs24-nox packages which works without this Packages manager issue!

Then for sanity check I did a build of emacs-24.3.tar.gz (the same 
version offered by WSL-Ubuntu) and it works as expected (also the 
packages Manager).

So the issue seems to regards only emacs-25 branch.


Ciao,
  Angelo.


-----
[1] https://msdn.microsoft.com/it-it/commandline/wsl/install_guide
     https://msdn.microsoft.com/it-it/commandline/wsl/faq

[2] http://lists.gnu.org/archive/html/emacs-devel/2016-12/msg00427.html

[3] 
http://stackoverflow.com/questions/38905344/windows-bash-emacs-build-fail-memory-protection-enabled




Acknowledgement sent to Angelo Graziosi <angelo.graziosi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25221; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 14 Nov 2017 00:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.